Summary: Coda distributed filesystem
Name: coda-debug
Version: 5.3.8
Release: 4mdk
Source: coda-5.3.8.tar.bz2
Patch0: venus-setup_conf.modules-2-modules.conf.patch.bz2
Patch1: coda-no-ssl.patch.bz2
Copyright: GPL
BuildRoot: /tmp/build-coda-%{version}
Group: Networking/Other
BuildRequires: lwp lwp-devel rvm rvm-devel rpc2 rpc2-devel

%description
Source package for the Coda filesystem.  Three packages are provided by
this rpm: the client and server and the backup components. Separately
you must install a kernel module, or have a Coda enabled kernel, and 
you should get the Coda documentation package.


%package client
Summary: Coda client
Group: Networking/Other
Requires: bc ed

%description client
This package contains the main client program, the cachemanager Venus.
Also included are the binaries for the cfs, utilities for logging, ACL
manipulation etc, the hoarding tools for use with laptops and repair
tools for fixing conflicts. Finally there is the cmon and codacon
console utilities to monitor Coda's activities. You need a Coda
kernel-module for your kernel version, or Coda in your kernel, to have
a complete coda client.  Make sure to select the correct C library
version.

%package server
Summary: Coda server
Group: Networking/Other
Requires: bc ed

%description server
This package contains the fileserver codasrv for the coda filesystem,
as well as the volume utilities.  For highest performance you will
need a modified kernel with inode system calls.

%package backup
Summary: Coda backup coordinator
Group: Networking/Other
Requires: bc ed

%description backup
This package contains the backup software for the coda filesystem, as
well as the volume utilities.

%prep
%setup -n coda-%{version}

%patch0 -p1
%patch1 -p1

%build
rm -rf $RPM_BUILD_DIR/obj-5.3.8
mkdir $RPM_BUILD_DIR/obj-5.3.8
cd $RPM_BUILD_DIR/obj-5.3.8
$RPM_BUILD_DIR/coda-5.3.8/configure --prefix=%{_prefix}
make

%install
cd $RPM_BUILD_DIR/obj-5.3.8
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/coda/venus.cache $RPM_BUILD_ROOT/dev \
	$RPM_BUILD_ROOT%{_prefix}/coda/etc \
	$RPM_BUILD_ROOT/coda $RPM_BUILD_ROOT%{_initrddir}\
	$RPM_BUILD_ROOT%{_libdir}/coda $RPM_BUILD_ROOT%{_initrddir}

make prefix=$RPM_BUILD_ROOT%{_prefix} client-install
make prefix=$RPM_BUILD_ROOT%{_prefix} server-install

touch $RPM_BUILD_ROOT/coda/NOT_REALLY_CODA

# for non debuging versions
if [ X1 != X1 ]; then
   strip $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT/vice/bin/* $RPM_BUILD_ROOT%{_sbindir}/* || :
fi

rm -rf $RPM_BUILD_ROOT/etc/rc.d/init.d/
mv $RPM_BUILD_ROOT/etc/init.d/ $RPM_BUILD_ROOT/etc/rc.d/init.d/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/obj-5.3.8

%pre client
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot install ***"
	exit 1
else
	exit 0
fi

%preun client
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot uninstall ***"
	exit 1
else
	exit 0
fi
	
%post client
mknod /dev/cfs0 c 67 0
if [ -e %{_prefix}/coda/venus.cache/pid ]; then 
    rm -f %{_prefix}/coda/venus.cache/pid
fi
if [ ! -e /etc/coda/venus.conf ]; then 
	%{_sbindir}/venus-setup testserver.coda.cs.cmu.edu 100000
fi

/sbin/chkconfig --add venus.init

%postun
/sbin/chkconfig --del venus.init
rm -rf /dev/cfs0

%post server
mknod /dev/cfs0 c 67 0
/sbin/chkconfig --add update.init
/sbin/chkconfig --add auth2.init
/sbin/chkconfig --add codasrv.init

%postun server
/sbin/chkconfig --del update.init
/sbin/chkconfig --del auth2.init
/sbin/chkconfig --del codasrv.init
rm -rf /dev/cfs0

%files client
%defattr(-,root,root)
%dir %{_prefix}/coda
%dir %{_prefix}/coda/etc
%dir %{_prefix}/coda/venus.cache
%dir /coda
%verify() /coda/NOT_REALLY_CODA
/etc/coda/venus.conf.ex
%{_initrddir}/venus.init
%{_sbindir}/au
%{_sbindir}/codaconfedit
%{_sbindir}/venus
%{_sbindir}/venus-setup
%{_sbindir}/volmunge
%{_sbindir}/vutil
%{_bindir}/advice_srv
%{_bindir}/cfs
%{_bindir}/clog
%{_bindir}/cmon
%{_bindir}/codacon
%{_bindir}/cpasswd
%{_bindir}/ctokens
%{_bindir}/cunlog
%{_bindir}/filerepair
%{_bindir}/hoard
%{_bindir}/logbandwidth
%{_bindir}/logcmls
%{_bindir}/logprogress
%{_bindir}/logreintegration
%{_bindir}/parser
%{_bindir}/removeinc
%{_bindir}/repair
%{_bindir}/replay
%{_bindir}/spy
%{_bindir}/xaskuser
%{_bindir}/xfrepair
%{_libdir}/coda/*

%files server
%defattr(-,root,root)
/etc/coda/server.conf.ex
%{_sbindir}/auth2
%{_sbindir}/bldvldb.sh
%{_sbindir}/codaconfedit
%{_sbindir}/codasrv
%{_sbindir}/createvol_rep
%{_sbindir}/initpw
%{_sbindir}/inoder
%{_sbindir}/makeftree
%{_sbindir}/parserecdump
%{_sbindir}/partial-reinit.sh
%{_sbindir}/pdbtool
%{_sbindir}/printvrdb
%{_sbindir}/purgevol
%{_sbindir}/purgevol_rep
%{_sbindir}/pwdtopdbtool.py
%{_sbindir}/rpc2portmap
%{_sbindir}/startserver
%{_sbindir}/updatesrv
%{_sbindir}/updateclnt
%{_sbindir}/updatefetch
%{_sbindir}/vice-killvolumes
%{_sbindir}/vice-setup
%{_sbindir}/vice-setup-rvm
%{_sbindir}/vice-setup-srvdir
%{_sbindir}/vice-setup-user
%{_sbindir}/vice-setup-scm
%{_sbindir}/vice-setup-ports
%{_sbindir}/volutil
%{_bindir}/norton
%{_bindir}/norton-reinit
%{_bindir}/reinit
%{_initrddir}/codasrv.init
%{_initrddir}/auth2.init
%{_initrddir}/update.init

%files backup
%defattr(-,root,root)
%{_sbindir}/auth2
%{_sbindir}/backup
%{_sbindir}/backup.sh
%{_sbindir}/merge
%{_sbindir}/readdump
%{_sbindir}/tape.pl
%{_sbindir}/updatesrv
%{_sbindir}/updateclnt
%{_sbindir}/updatefetch
%{_sbindir}/volutil

%changelog
* Thu Aug 31 2000 Florin Grad <florin@mandrakesoft.com> 5.3.8-4mdk
- adding some macros entries

* Tue Jul 18 2000 Florin Grad <florin@mandrakesoft.com> 5.3.8-3mdk
- added a silly patch that removes the crypto options in the configure script 
* Wed Jul 5 2000 Florin Grad <florin@mandrakesoft.com> 5.3.8-2mdk
- the server-crypto and backup-crypto packages are build with openssl and openssl-devel
* Mon Jul 3 2000 Florin Grad <florin@mandrakesoft.com> 5.3.8-1mdk
- First attempt.
* Sun Jun 21 1998 Peter Braam <braam@cs.cmu.edu>
- get rid of the kernel package. This needs interaction during the build.
- no more separate libc, glibc packages
* Tue Dec 30 1997 Peter Braam <braam@cs.cmu.edu>
- several changes: documentation separate
- use variables: =`uname -r`, 5.3.8=coda version
* Mon Jun 02 1997 Peter Braam <braam@cs.cmu.edu>
- small changes to Elliots improvements.
- some of his ideas are now in the scripts
* Wed May 28 1997 Elliot Lee <sopwith@redhat.com>
- Based upon 4.0.3-1 spec file.
- Changed to BuildRoot
- Do as much as possible at build time instead of in %post
- Added initscript for venus
